<?
require_once('include/global.php');
require_once('include/diary_lib.php');
require_once('conf.inc.php');


// check
	if (!$_POST['di_kind'] || !$_POST['di_subject'] || !$G_SYS['DI_REPEAT'][$_POST['di_repeat']])
		msg('올바른	URL로 접근하여 주십시오');

	// [2006-07-19] 공용일정 구분
	set_diary_no_isshare('', $_GET['share']);

	// [2006-07-19] 공용일정은 등록자와 관리자만 수정가능함.
	// [2007-02-09] 공용일정을 바로 등록하는 기능은 관리자만 가능.
	//if ($G['di_no_isshare'] && $G['DINFO']['d_sharediary_reg'] == 'A' && $AUTH['auth_m_level'] < $G['LEVEL']['admin'])
	if ($G['di_no_isshare'] && $AUTH['auth_m_level'] < $G['LEVEL']['admin'])
	{
		if ($G['DINFO']['d_sharediary_reg'] == 'A')
		{
			msg("공용일정은 관리자만 등록할 수 있도록 설정되었습니다.");
		} else 
		{
			msg("공용일정을 추가하려면 개인일정에서 [공용일정 분류]를 지정하면 됩니다.");
		}	// if()
	}	// if()

// data
	if ($_POST['di_isallday'] != 'Y')
	{
		$_POST['di_isallday'] = 'N';
		$_POST['di_starttime'] = '\'' . $_POST['di_starttime_h'] . ':' . $_POST['di_starttime_m'] . ':00\'';
		$_POST['di_endtime'] = '\'' . $_POST['di_endtime_h'] . ':' . $_POST['di_endtime_m'] . ':00\'';
	} else 
	{
		$_POST['di_starttime'] = 'NULL';
		$_POST['di_endtime'] = 'NULL';
	}	// if()
	$_POST['di_regdate'] = date('Y-m-d H:i:s');

	to_db_str(&$_POST['di_subject'], 255);
	to_db_str(&$_POST['di_content'], $G_SYS['DB_TEXT'], false);


	// [2006-07-19] 관리자가 공용일정에 바로 등록할 경우 구분.
	if ($G['di_no_isshare'])
	{
		$sql = "
			INSERT INTO
				" .	$TB['DIARY']	. "
				( di_no , m_no , di_kind , di_subject , di_startdate , di_starttime , di_enddate , di_endtime , di_isallday , di_repeat , di_content , di_regdate , di_modifydate, d_no  ) 
			VALUES
				( ".db_sqc_next($TB['DIARY']).", '0', '" . $_POST['di_kind']	. "', '" . $_POST['di_subject']	. "', '" . $_POST['di_startdate']	. "', " . $_POST['di_starttime']	. ", '" . $_POST['di_enddate']	. "', " . $_POST['di_endtime']	. ", '" . $_POST['di_isallday']	. "', '" . $_POST['di_repeat']	. "', '" . $_POST['di_content']	. "', '" . $_POST['di_regdate']	. "', NULL, '" . $G['DINFO']['d_no'] . "' )
			";
	} else 
	{
		$sql = "
			INSERT INTO
				" .	$TB['DIARY']	. "
				( di_no , m_no , di_kind , di_subject , di_startdate , di_starttime , di_enddate , di_endtime , di_isallday , di_repeat , di_content , di_regdate , di_modifydate ) 
			VALUES
				( ".db_sqc_next($TB['DIARY']).", '" . $AUTH['auth_m_no'] . "', '" . $_POST['di_kind']	. "', '" . $_POST['di_subject']	. "', '" . $_POST['di_startdate']	. "', " . $_POST['di_starttime']	. ", '" . $_POST['di_enddate']	. "', " . $_POST['di_endtime']	. ", '" . $_POST['di_isallday']	. "', '" . $_POST['di_repeat']	. "', '" . $_POST['di_content']	. "', '" . $_POST['di_regdate']	. "', NULL )
			";
	}	// if()
	db_query($sql);

	// 공용일정 그룹 지정시.
	if ($_POST['di_no_share'] > 0 && is_numeric($_POST['di_no_share']))
	{
		$di_no_share = db_sqc_curr($TB['DIARY']);

		db_query("
			INSERT INTO
				" .	$TB['DIARY']	. "
				( di_no , m_no , di_kind , di_subject , di_startdate , di_starttime , di_enddate , di_endtime , di_isallday , di_repeat , di_content , di_regdate , di_modifydate , d_no, di_no_share ) 
			VALUES
				( ".db_sqc_next($TB['DIARY']).", '0', '" . $_POST['di_kind']	. "', '" . $_POST['di_subject']	. "', '" . $_POST['di_startdate']	. "', " . $_POST['di_starttime']	. ", '" . $_POST['di_enddate']	. "', " . $_POST['di_endtime']	. ", '" . $_POST['di_isallday']	. "', '" . $_POST['di_repeat']	. "', '" . $_POST['di_content']	. "', '" . $_POST['di_regdate']	. "', NULL, '" . $G['DINFO']['d_no'] . "', '" . $di_no_share . "' )
			");
		$di_no_share2 = db_sqc_curr($TB['DIARY']);

		$sql = "
			UPDATE 
				" .	$TB['DIARY']	. "
			SET
				di_no_share = '".$di_no_share2."'
			WHERE
				di_no = '".$di_no_share."'
			";
		db_query($sql);
	}	// if()


// end
	#msg("추가되었습니다.", 0);
	if ($_GET['is_window_close'])
	{
		?>
			<script language="JavaScript">
			<!--
				opener.location.reload();
				window.close();
			//-->
			</script>
		<?
	} else if ($_GET['back_url'])
	{
		movepage($_GET['back_url']);
	} else
	{
		movepage('diary_list.php');
	}	// if()

require_once('include/global_end.php');
?>